evhtp_uri_t Struct Reference

a generic container representing an entire URI strucutre More...

`#include <evhtp.h>`

## Data Fields

evhtp_authority_t * | authority
evhtp_path_t * | path
unsigned char * | fragment
| data after '#' in uri
unsigned char * | query_raw
| the unparsed query arguments
evhtp_query_t * | query
| list of k/v for query arguments
htp_scheme | scheme
| set if a scheme is found

## Detailed Description

a generic container representing an entire URI strucutre

Definition at line 359 of file evhtp/evhtp.h.

## Field Documentation

## authority

evhtp_authority_t* evhtp_uri_t::authority

Definition at line 360 of file evhtp/evhtp.h.

## fragment

unsigned char* evhtp_uri_t::fragment

data after '#' in uri

Definition at line 362 of file evhtp/evhtp.h.

## path

evhtp_path_t* evhtp_uri_t::path

Definition at line 361 of file evhtp/evhtp.h.

## query

evhtp_query_t* evhtp_uri_t::query

list of k/v for query arguments

Definition at line 364 of file evhtp/evhtp.h.

## query_raw

unsigned char* evhtp_uri_t::query_raw

the unparsed query arguments

Definition at line 363 of file evhtp/evhtp.h.

## scheme

htp_scheme evhtp_uri_t::scheme

set if a scheme is found

Definition at line 365 of file evhtp/evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp/evhtp.h